	var docURL;
	var strLen;
	var last;
	var addstring;
	var languagePos;
	docURL = document.URL;
	strLen = docURL.length;
	last = docURL.substring(strLen-1);
	if (last=="/")
	{
		addstring = "index.asp?";
	}
	else
	{
		languagePos = docURL.indexOf("language");
		if(languagePos!=-1)
		{
			docURL = docURL.substring(0, languagePos-1);
		}
		addstring = "?";
	}


	function openHelp() {
  window.open('http://eglive.call-secure.com/wcscgi/CDM.exe?SS_COMMAND=CUST_SUP&Category=CUSTOMERSUPPORT&mode=FullWindow', 'help', 'width=275,height=480,scrollbars=yes,toolbar=no,left=0,top=0');
}
function time_zone() {
window.open('http://www.timeanddate.com/worldclock')
}

function clickcall() {
window.open('http://www.clicktophone.com')
}	
	// set up drop downs anywhere in the body of the page. I think the bottom of the page is better.. 
	// but you can experiment with effect on loadtime.
	if (DropDown.isSupported()) {

		//==================================================================================================
		// create a set of dropdowns
		//==================================================================================================
		// the first param should always be down, as it is here
		//
		// The second and third param are the top and left offset positions of the menus from their actuators
		// respectively. To make a menu appear a little to the left and bottom of an actuator, you could use
		// something like -5, 5
		//
		// The last parameter can be .topLeft, .bottomLeft, .topRight, or .bottomRight to inidicate the corner
		// of the actuator from which to measure the offset positions above. Here we are saying we want the 
		// menu to appear directly below the bottom left corner of the actuator
		//==================================================================================================
			var ms = new DropDownSet(DropDown.direction.down, 0, 0, DropDown.reference.bottomLeft);

		//==================================================================================================
		// create a dropdown menu
		//==================================================================================================
		// the first parameter should be the HTML element which will act actuator for the menu
		//==================================================================================================
		
		var menu1 = ms.addMenu(document.getElementById("menu1"));
		menu1.addItem("- Enroll Now", "http://" + siteURL + "newuser/enroll.asp");
		menu1.addItem("- Edit Account", HTTPS + siteURL + "account/LogAccInf.asp");
		menu1.addItem("- Recharge Phone Card", "http://" + siteURL + "account/card_recharge.asp");
		menu1.addItem("- Refer a Friend", "http://" + siteURL + "referral/refer_page.asp");

		var menu2 = ms.addMenu(document.getElementById("menu2"));
		menu2.addItem("- Network", "http://" + siteURL + "Technology/Network.asp");
		menu2.addItem("- Patent", "http://" + siteURL + "Technology/Patent.asp");
		menu2.addItem("- Specification", "http://" + siteURL + "Technology/Specification.asp");
		menu2.addItem("- Downloads", "http://" + siteURL + "Technology/download.asp");

		var menu3 = ms.addMenu(document.getElementById("menu3"));
		menu3.addItem("- Contact Us", "http://" + siteURL + "contact%20us/contactus.asp");
		menu3.addItem("- Pricing", "pricing/info.asp");
		menu3.addItem("- Help", "");
	
		var subMenu1 = menu3.addMenu(menu3.items[1]);
		subMenu1.addItem("- General Information", "http://" + siteURL + "pricing/info.asp");
		subMenu1.addItem("- Rates", "http://" + siteURL + "service/our_rates.asp");
	
		var subMenu2 = menu3.addMenu(menu3.items[2]);
		subMenu2.addItem("- Log In", "http://" + siteURL + "service/login_help.asp");
		subMenu2.addItem("- FAQ", "http://" + siteURL + "service/faq.asp");
		subMenu2.addItem("- Time Zone", "javascript:time_zone();");
		subMenu2.addItem("- Email", "mailto:fastresponse@bestnetcom.com");
		subMenu2.addItem("- live help", "javascript:openHelp();");

		var menu4 = ms.addMenu(document.getElementById("menu4"));
//		menu4.addItem("- English", siteURL + "");
		menu4.addItem("- English", docURL + addstring + "language=en");
		menu4.addItem("- Espaņol", docURL + addstring + "language=sp");

		var menu5 = ms.addMenu(document.getElementById("menu5"));
		menu5.addItem("- About Us", "http://" + siteURL + "Company/aboutus.asp");
		menu5.addItem("- Management", "http://" + siteURL + "Company/manage.asp");
		menu5.addItem("- News", "http://" + siteURL + "Company/news.asp");		
	
		var menu6 = ms.addMenu(document.getElementById("menu6"));
		menu6.addItem("- Products", "");
		menu6.addItem("- Business", "http://" + siteURL + "Solutions/business.asp");
		menu6.addItem("- Personal", "http://" + siteURL + "Solutions/consumer.asp");
		menu6.addItem("- Partners", "http://" + siteURL + "Solutions/reseller.asp");

		var subMenu6 = menu6.addMenu(menu6.items[0]);
		subMenu6.addItem("- WebCall", "http://" + siteURL + "Products Info/web_call.asp");
		subMenu6.addItem("- WebConferenceCall", "http://" + siteURL + "Products Info/web_confcall.asp");
		subMenu6.addItem("- SMS Call", "http://" + siteURL + "Products Info/sms_call.asp");
		subMenu6.addItem("- Dial Call", "http://" + siteURL + "Products Info/dialcall.asp");
		subMenu6.addItem("- Dial Conference Call", "http://" + siteURL + "Products Info/dialconfcall.asp");
		subMenu6.addItem("- Desktop Call", "http://" + siteURL + "Products Info/desk_call.asp");
		subMenu6.addItem("- Email Call", "http://" + siteURL + "Products Info/e_call.asp");
		subMenu6.addItem("- PDA Call", "http://" + siteURL + "Products Info/pda_call.asp");		
		subMenu6.addItem("- Call Me", "http://" + siteURL + "Products Info/call_me.asp");
		subMenu6.addItem("- BestNet API", "http://" + siteURL + "Products Info/api.asp");
		subMenu6.addItem("- VPNCall", "http://" + siteURL + "Products Info/vpncall.asp");
		subMenu6.addItem("- Cafe", "http://" + siteURL + "Products Info/cafe.asp");
		subMenu6.addItem("- ClicktoPhone", "http://www.clicktophone.com");

		var menu7 = ms.addMenu(document.getElementById("menu7"));
		menu7.addItem("- Agent Program", "http://" + siteURL + "Partners/agent.asp");
			
		DropDown.renderAll();
	}
